# Overview 

This adapter is used to integrate the Itential Automation Platform (IAP) with the TerraformEnterprise System. The API that was used to build the adapter for TerraformEnterprise is usually available in the report directory of this adapter. The adapter utilizes the TerraformEnterprise API to provide the integrations that are deemed pertinent to IAP. The ReadMe file is intended to provide information on this adapter it is generated from various other Markdown files.

## Details 
The Terraform Enterprise adapter from Itential is used to integrate the Itential Automation Platform (IAP) with Terraform Enterprise. With this adapter you have the ability to perform operations such as:

- Installation Resources in the Cloud: Resources can be automatically uploaded to the cloud.

- Add, Manage, and Remove Devices: When Itential turns up a new device on the network, it can add the device to the cloud, request that Terraform Enterprise discover the new device, or remove the device.

For further technical details on how to install and use this adapter, please click the Technical Documentation tab. 
